AgentConnect
Decisions

Get shared-bot routing

Returns the shared bot's By decision routing configuration, its effective channel scope, and readiness, including the evaluation host daemon and each channel's resolved default agent. Names appear only for agents and daemons the caller can view; conversation names only when the caller can view one of the bot's agents.

GET
/v1/orgs/{orgId}/bots/{id}/decision-routing

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/orgs/string/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/decision-routing"
{  "botId": "string",  "config": {    "decisionId": "string",    "rules": [      {        "id": "string",        "when": {          "type": "choice",          "thresholds": {            "property1": 0,            "property2": 0          }        },        "action": {          "type": "agent",          "agentId": "string"        }      }    ],    "enabled": true,    "otherwise": {      "type": "default_agent"    },    "steps": [      {        "decisionId": "string",        "rules": [          {            "id": "string",            "when": {              "type": "choice",              "thresholds": {                "property1": 0,                "property2": 0              }            },            "action": {              "type": "agent",              "agentId": "string"            }          }        ],        "id": "string"      }    ]  },  "channelIds": [    "string"  ],  "readiness": {    "status": "ready",    "reason": "string",    "issues": [      {        "path": [          "string"        ],        "message": "string"      }    ]  },  "evaluationHost": {    "daemonId": "string",    "name": "string",    "source": "default_agent",    "status": "ready"  },  "channels": [    {      "channelId": "string",      "name": "string",      "defaultAgent": {        "id": "string",        "name": "string"      },      "evaluationDaemonId": "string",      "readiness": {        "status": "ready",        "reason": "string",        "issues": [          {            "path": [              "string"            ],            "message": "string"          }        ]      }    }  ],  "updatedAt": "string"}